Skip to content
Jellypod
Esc
↑↓navigate↵open⌘Jpreview

Update a podcast

PATCH/v1/podcasts/{podcast_id}
Authorization
AuthorizationBearer token · headerrequired

API key issued from /settings/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.

Path parameters
podcast_idstring<uuid>required

Podcast UUID

Request body
requiredapplication/json
authorstring | null

Credited author for itunes:author and itunes:owner. Null or blank credits the podcast title.

max length 255
descriptionstring

Plain text or HTML. Plain text is returned inside <p> tags.

episode_orderstring
Allowed:episodicserial
host_idsstring[]
min items 1
languagestring
matches ^[a-zA-Z]{2,3}$
primary_categorystring

Apple Podcasts category or subcategory. The RSS feed nests a subcategory under its parent category.

Allowed:ArtsBooksDesignFashion & BeautyFoodPerforming ArtsVisual ArtsBusinessCareersEntrepreneurshipInvestingManagementMarketingNon-ProfitComedyComedy InterviewsImprovStand-UpEducationCoursesHow ToLanguage LearningSelf-ImprovementFictionComedy FictionDramaScience FictionGovernmentHistoryHealth & FitnessAlternative HealthFitnessMedicineMental HealthNutritionSexualityKids & FamilyEducation for KidsParentingPets & AnimalsStories for KidsLeisureAnimation & MangaAutomotiveAviationCraftsGamesHobbiesHome & GardenVideo GamesMusicMusic CommentaryMusic HistoryMusic InterviewsNewsBusiness NewsDaily NewsEntertainment NewsNews CommentaryPoliticsSports NewsTech NewsReligion & SpiritualityBuddhismChristianityHinduismIslamJudaismReligionSpiritualityScienceAstronomyChemistryEarth SciencesLife SciencesMathematicsNatural SciencesNaturePhysicsSocial SciencesSociety & CultureDocumentaryPersonal JournalsPhilosophyPlaces & TravelRelationshipsSportsBaseballBasketballCricketFantasy SportsFootballGolfHockeyRugbyRunningSoccerSwimmingTennisVolleyballWildernessWrestlingTechnologyTrue CrimeTV & FilmAfter ShowsFilm HistoryFilm InterviewsFilm ReviewsTV Reviews
secondary_categorystring | null

Optional second Apple Podcasts category or subcategory.

Allowed:ArtsBooksDesignFashion & BeautyFoodPerforming ArtsVisual ArtsBusinessCareersEntrepreneurshipInvestingManagementMarketingNon-ProfitComedyComedy InterviewsImprovStand-UpEducationCoursesHow ToLanguage LearningSelf-ImprovementFictionComedy FictionDramaScience FictionGovernmentHistoryHealth & FitnessAlternative HealthFitnessMedicineMental HealthNutritionSexualityKids & FamilyEducation for KidsParentingPets & AnimalsStories for KidsLeisureAnimation & MangaAutomotiveAviationCraftsGamesHobbiesHome & GardenVideo GamesMusicMusic CommentaryMusic HistoryMusic InterviewsNewsBusiness NewsDaily NewsEntertainment NewsNews CommentaryPoliticsSports NewsTech NewsReligion & SpiritualityBuddhismChristianityHinduismIslamJudaismReligionSpiritualityScienceAstronomyChemistryEarth SciencesLife SciencesMathematicsNatural SciencesNaturePhysicsSocial SciencesSociety & CultureDocumentaryPersonal JournalsPhilosophyPlaces & TravelRelationshipsSportsBaseballBasketballCricketFantasy SportsFootballGolfHockeyRugbyRunningSoccerSwimmingTennisVolleyballWildernessWrestlingTechnologyTrue CrimeTV & FilmAfter ShowsFilm HistoryFilm InterviewsFilm ReviewsTV Reviewsnull
titlestring
max length 100
visibilitystring
Allowed:publicprivateunlisted
Responses
200

Podcast updated

dataPodcastrequired

A podcast in your library with metadata, hosts, languages, and feed URLs.

Show properties
authorstring | nullrequired
created_atstringrequired
descriptionstringrequired
episode_countintegerrequired

Number of episodes that belong to this podcast.

min 0
episode_orderstringrequired

Episode ordering: episodic (standalone) or serial (sequential). Always returned lowercase.

Allowed:episodicserial
host_idsstring[] | nullrequired
idstring<uuid>required
image_urlstring | nullrequired
languagesstring[]required
primary_categorystring | nullrequired
rss_feed_urlstring | nullrequired

Public RSS feed URL. Null while podcast visibility is private.

secondary_categorystring | nullrequired
titlestringrequired
updated_atstringrequired
urlstring | nullrequired

Public podcast website URL. Null while podcast visibility is private.

visibilitystring | nullrequired

Visibility. Always returned lowercase.

Allowed:publicprivateunlistednull
400

Validation failed or malformed request.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
401

Missing or invalid API key.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
403

Authenticated, but this API key does not have access to this resource.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
404

Resource not found.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
415

Request Content-Type is not supported for this endpoint.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
429

Rate limit exceeded. Wait Retry-After seconds before retrying; RateLimit-Limit, RateLimit-Remaining, and RateLimit-Reset describe the window.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
500

Internal server error.

detailstring

Longer human-readable explanation when available.

errorsobject[]

Per-field validation failures. Present when type is validation_error.

Show properties
Array of object
fieldstringrequired
messagestringrequired
reasonstring

Script import failure when one or more Speakers have no saved Character match.

Allowed:unresolved_speakers
recoveryobject
Show properties
actionstringrequired
Allowed:correct_inputchoose_characterscheck_accountpoll_contentopen_studiocheck_contentreconnectretrycheck_result
idempotency_keystring
Allowed:reusenew
poll_after_secondsnumber
min 0
toolstring
Allowed:list_characterslist_contentget_contentsave_podcast
request_idstring

Correlation id, also returned in the X-Request-Id response header. Include in support requests.

speakersstring[]

Speaker labels needing a saved Character match when reason is unresolved_speakers.

statusintegerrequired

HTTP status code mirrored from the response.

titlestringrequired

Short human-readable summary.

typestringrequired

Machine-readable error class. Suitable for switch/match in client code.

Allowed:bad_requestvalidation_errorunauthorizedforbiddennot_foundconflictmethod_not_allowedunsupported_media_typeunprocessable_entityrate_limitedbad_gatewayinternal_error
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.jellypod.com/v1/podcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "author": "string",
  "description": "string",
  "episode_order": "episodic",
  "host_ids": [
    "string"
  ],
  "language": "string",
  "primary_category": "Arts",
  "secondary_category": "Arts",
  "title": "string",
  "visibility": "public"
}'
Response
{
  "data": {
    "author": "string",
    "created_at": "string",
    "description": "string",
    "episode_count": 0,
    "episode_order": "episodic",
    "host_ids": [
      "string"
    ],
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "image_url": "string",
    "languages": [
      "string"
    ],
    "primary_category": "string",
    "rss_feed_url": "string",
    "secondary_category": "string",
    "title": "string",
    "updated_at": "string",
    "url": "string",
    "visibility": "public"
  }
}

Was this page helpful?